Bug 575238 - [abrt] crash in gedit-1:2.28.3-1.fc12: plugin.py:62:activate:AttributeError: 'AdvancedBookmarksPlugin' object has no attribute '_bookmarks'
[abrt] crash in gedit-1:2.28.3-1.fc12: plugin.py:62:activate:AttributeError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:00dffb77
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 15:48 EDT by mr.vieq
Modified: 2010-12-03 12:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:03:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (604 bytes, text/plain)
2010-03-19 15:48 EDT, mr.vieq
no flags Details

  None (edit)
Description mr.vieq 2010-03-19 15:48:46 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: gedit /home/vieq/bin/thunderbird/thunderbird
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.9-70.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
reason: plugin.py:62:activate:AttributeError: 'AdvancedBookmarksPlugin' object has no attribute '_bookmarks'
release: Fedora release 12 (Constantine)

backtrace
-----
plugin.py:62:activate:AttributeError: 'AdvancedBookmarksPlugin' object has no attribute '_bookmarks'

Traceback (most recent call last):
  File "/home/vieq/.gnome2/gedit/plugins/advanced-bookmarks/plugin.py", line 62, in activate
    self._instances[window] = window_helper.window_helper(self, window, self._bookmarks, self._config)
AttributeError: 'AdvancedBookmarksPlugin' object has no attribute '_bookmarks'

Local variables in innermost frame:
window: <gedit.Window object at 0x8bfa84c (GeditWindow at 0x884e028)>
self: <AdvancedBookmarksPlugin object at 0x8c10cd4 (GeditPluginPython at 0x8993b40)>
Comment 1 mr.vieq 2010-03-19 15:48:52 EDT
Created attachment 401336 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 15:10:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 12:03:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.